Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.taglib.core
Class SelectItemTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
              org.apache.myfaces.shared_orchestra.taglib.core.SelectItemTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.Tag

    public class SelectItemTagBase

extends UIComponentTagBase

Version:
  $Revision: 472618 $ $Date: 2006-11-08 21:06:54 +0100 (Mi, 08 Nov 2006) $
Author:
  Thomas Spiegl (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SelectItemTagBase()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getItemValue()`
`java.lang.String` | `getRendererType()`
`void` | `setItemDescription(java.lang.String itemDescription)`
`void` | `setItemDisabled(java.lang.String itemDisabled)`
`void` | `setItemLabel(java.lang.String itemLabel)`
`void` | `setItemValue(java.lang.String itemValue)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
`release, setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setLongProperty, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectItemTagBase

    public SelectItemTagBase()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `UIComponentTagBase`

### setItemDisabled

    public void setItemDisabled(java.lang.String itemDisabled)

### setItemDescription

    public void setItemDescription(java.lang.String itemDescription)

### setItemLabel

    public void setItemLabel(java.lang.String itemLabel)

### setItemValue

    public void setItemValue(java.lang.String itemValue)

### getItemValue

    public java.lang.String getItemValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.